<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale"
    xmlns:dc="urn:unit-c.fr:schema:dublincore:v1" exclude-result-prefixes="sc sp op">
    <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
    <xsl:param name="vDialog"/>
    <xsl:param name="vAgent"/>

    
    <!-- Root de Pb -->
    <xsl:template match="op:pb">
        <xsl:apply-templates/>
    </xsl:template>
    
    
    
    <!-- Gestion des balises pédagogiques -->
    <xsl:template match="sp:information">
        <xsl:choose>
            <xsl:when test="op:richTitle/sp:shortPublication='only'"></xsl:when>
            <xsl:otherwise>
                <div class="op_pb_BlocInformation BlocPedago">
                    <h1 class="op_pb_BlocInformation_ti BlocPedago_ti">
                        <span>
                            <xsl:value-of select="getFullTitleText(gotoMeta() ,'')" disable-output-escaping="yes"/>
                        </span>    
                    </h1>
                    <div class="op_pb_BlocInformation_co BlocPedago_co">
                        <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
                    </div>  
                </div>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    
    <xsl:template match="sp:fondamental">
        <xsl:choose>
            <xsl:when test="op:richTitle/sp:shortPublication='only'"></xsl:when>
            <xsl:otherwise>
                <div class="op_pb_BlocFondamental BlocPedago">
                    <h1 class="op_pb_BlocFondamental_ti BlocPedago_ti">
                        <span>
                            <xsl:value-of select="getFullTitleText(gotoMeta() ,'')" disable-output-escaping="yes"/>
                        </span>    
                    </h1>
                    <div class="op_pb_BlocFondamental_co BlocPedago_co">
                        <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
                    </div>  
                </div>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    
   <xsl:template match="sp:definition">
       <xsl:choose>
           <xsl:when test="op:richTitle/sp:shortPublication='only'"></xsl:when>
           <xsl:otherwise>
               <div class="op_pb_BlocDefinition BlocPedago">
                   <h1 class="op_pb_BlocDefinition_ti BlocPedago_ti">
                       <span>
                           <xsl:value-of select="getFullTitleText(gotoMeta() ,'')" disable-output-escaping="yes"/>
                       </span>    
                   </h1>
                   <div class="op_pb_BlocDefinition_co BlocPedago_co">
                       <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
                   </div>  
               </div>
           </xsl:otherwise>
       </xsl:choose>
    </xsl:template>
    
    
    <xsl:template match="sp:example">
        <xsl:choose>
            <xsl:when test="op:richTitle/sp:shortPublication='only'"></xsl:when>
            <xsl:otherwise>
                <div class="op_pb_BlocExemple BlocPedago">
                    <h1 class="op_pb_BlocExemple_ti BlocPedago_ti">
                        <span>
                            <xsl:value-of select="getFullTitleText(gotoMeta() ,'')" disable-output-escaping="yes"/>
                        </span>    
                    </h1>
                    <div class="op_pb_BlocExemple_co BlocPedago_co">
                        <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
                    </div>  
                </div>
            </xsl:otherwise>
        </xsl:choose>    
    </xsl:template>
    
    
    <xsl:template match="sp:remark">
        <xsl:choose>
            <xsl:when test="op:richTitle/sp:shortPublication='only'"></xsl:when>
            <xsl:otherwise>
                <div class="op_pb_BlocRemarque BlocPedago">
                    <h1 class="op_pb_BlocRemarque_ti BlocPedago_ti">
                        <span>
                            <xsl:value-of select="getFullTitleText(gotoMeta() ,'')" disable-output-escaping="yes"/>
                        </span>    
                    </h1>
                    <div class="op_pb_BlocRemarque_co BlocPedago_co">
                        <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
                    </div>  
                </div>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    
    <xsl:template match="sp:explication">
        <xsl:choose>
            <xsl:when test="op:richTitle/sp:shortPublication='only'"></xsl:when>
            <xsl:otherwise>
                <div class="op_pb_BlocExplication BlocPedago">
                    <h1 class="op_pb_BlocExplication_ti BlocPedago_ti">
                        <span>
                            <xsl:value-of select="getFullTitleText(gotoMeta() ,'')" disable-output-escaping="yes"/>
                        </span>    
                    </h1>
                    <div class="op_pb_BlocExplication_co BlocPedago_co">
                        <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
                    </div>  
                </div>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    
    <xsl:template match="sp:advice">
        <xsl:choose>
            <xsl:when test="op:richTitle/sp:shortPublication='only'"></xsl:when>
            <xsl:otherwise>
                <div class="op_pb_BlocConseil BlocPedago">
                    <h1 class="op_pb_BlocConseil_ti BlocPedago_ti">
                        <span>
                            <xsl:value-of select="getFullTitleText(gotoMeta() ,'')" disable-output-escaping="yes"/>
                        </span>    
                    </h1>
                    <div class="op_pb_BlocConseil_co BlocPedago_co">
                        <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
                    </div>  
                </div>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    
    <xsl:template match="sp:warning">
        <xsl:choose>
            <xsl:when test="op:richTitle/sp:shortPublication='only'"></xsl:when>
            <xsl:otherwise>
                <div class="op_pb_BlocAttention BlocPedago">
                    <h1 class="op_pb_BlocAttention_ti BlocPedago_ti">
                        <span>
                            <xsl:value-of select="getFullTitleText(gotoMeta() ,'')" disable-output-escaping="yes"/>
                        </span>    
                    </h1>
                    <div class="op_pb_BlocAttention_co BlocPedago_co">
                        <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
                    </div>  
                </div>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    
    <xsl:template match="sp:complement">
        <xsl:choose>
            <xsl:when test="op:richTitle/sp:shortPublication='only'"></xsl:when>
            <xsl:otherwise>
                <div class="op_pb_BlocComplement BlocPedago">
                    <h1 class="op_pb_BlocComplement_ti BlocPedago_ti">
                        <span>
                            <xsl:value-of select="getFullTitleText(gotoMeta() ,'')" disable-output-escaping="yes"/>
                        </span>    
                    </h1>
                    <div class="op_pb_BlocComplement_co BlocPedago_co">
                        <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
                    </div>  
                </div>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    
    <xsl:template match="sp:method">
        <xsl:choose>
            <xsl:when test="op:richTitle/sp:shortPublication='only'"></xsl:when>
            <xsl:otherwise>
                <div class="op_pb_BlocMethode BlocPedago">
                    <h1 class="op_pb_BlocMethode_ti BlocPedago_ti">
                        <span>
                            <xsl:value-of select="getFullTitleText(gotoMeta() ,'')" disable-output-escaping="yes"/>
                        </span>    
                    </h1>
                    <div class="op_pb_BlocMethode_co BlocPedago_co">
                        <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
                    </div>  
                </div>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    
    <xsl:template match="sp:reminder">
        <xsl:choose>
            <xsl:when test="op:richTitle/sp:shortPublication='only'"></xsl:when>
            <xsl:otherwise>
                <div class="op_pb_BlocRappel BlocPedago">
                    <h1 class="op_pb_BlocRappel_ti BlocPedago_ti">
                        <span>
                            <xsl:value-of select="getFullTitleText(gotoMeta() ,'')" disable-output-escaping="yes"/>
                        </span>    
                    </h1>
                    <div class="op_pb_BlocRappel_co BlocPedago_co">
                        <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
                    </div>  
                </div>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    
    <xsl:template match="sp:syntax">
        <xsl:choose>
            <xsl:when test="op:richTitle/sp:shortPublication='only'"></xsl:when>
            <xsl:otherwise>
                <div class="op_pb_BlocSyntaxe BlocPedago">
                    <h1 class="op_pb_BlocSyntaxe_ti BlocPedago_ti">
                        <span>
                            <xsl:value-of select="getFullTitleText(gotoMeta() ,'')" disable-output-escaping="yes"/>
                        </span>    
                    </h1>
                    <div class="op_pb_BlocSyntaxe_co BlocPedago_co">
                        <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
                    </div>  
                </div>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    
    <xsl:template match="sp:legalText">
        <xsl:choose>
            <xsl:when test="op:richTitle/sp:shortPublication='only'"></xsl:when>
            <xsl:otherwise>
                <div class="op_pb_BlocTexteLegal BlocPedago">
                    <h1 class="op_pb_BlocTexteLegal_ti BlocPedago_ti">
                        <span>
                            <xsl:value-of select="getFullTitleText(gotoMeta() ,'')" disable-output-escaping="yes"/>
                        </span>    
                    </h1>
                    <div class="op_pb_BlocTexteLegal_co BlocPedago_co">
                        <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
                    </div>  
                </div>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    
    <xsl:template match="sp:simulation">
        <xsl:choose>
            <xsl:when test="op:richTitle/sp:shortPublication='only'"></xsl:when>
            <xsl:otherwise>
                <div class="op_pb_BlocSimulation BlocPedago">
                    <h1 class="op_pb_BlocSimulation_ti BlocPedago_ti">
                        <span>
                            <xsl:value-of select="getFullTitleText(gotoMeta() ,'')" disable-output-escaping="yes"/>
                        </span>    
                    </h1>
                    <div class="op_pb_BlocSimulation_co BlocPedago_co">
                        <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
                    </div>  
                </div>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    
    <xsl:template match="*"/>
    
    
</xsl:stylesheet>
