<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
					xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
					xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
					xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
					xmlns:mtc="ccmp.fr:maiheutic"
					xmlns:java="http://xml.apache.org/xslt/java"
					exclude-result-prefixes="sc sp mtc java">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	
	<!-- Insertion d'un panel 
			@param : pTitre
		-->

	
	<xsl:template name="tInsertPanelTxt"><!-- panel textuel -->
		<xsl:param name="pTitre"/>
		<xsl:param name="pContenu"/>
		<xsl:call-template name="tInsertPanelTxt_link">
			<xsl:with-param name="pTitre" select="$pTitre"/>
		</xsl:call-template>
		<xsl:call-template name="tInsertPanel_panel">
			<xsl:with-param name="pContenu"><xsl:copy-of select="$pContenu"/></xsl:with-param>
		</xsl:call-template>
	</xsl:template>
		
	<xsl:template name="tInsertPanelTxt_link">
		<xsl:param name="pTitre"/>
		<xsl:variable name="vCode"><xsl:call-template name="xGetCode"/></xsl:variable>
		<pnLien>
			<pnLien_zTitre width="100%">
				<txtLink width="100%">
					<pnLien_titre>[<xsl:value-of select="$pTitre"/>]</pnLien_titre>
					<events>
						<event args="{$vCode}" fireEvent="showPanel" mouseEvent="press"/>
					</events>
				</txtLink>
			</pnLien_zTitre>
			<pnLien_zBtn width="0%"/>
		</pnLien>
	</xsl:template>
	
	<xsl:template name="tInsertPanel_panel">
		<xsl:param name="pContenu"/><!-- optionnel -->
		<xsl:variable name="vCode"><xsl:call-template name="xGetCode"/></xsl:variable>
		<panelRC panelId="{$vCode}" keepAlive="true">
			<CHpanelRC>
				<xsl:choose>
					<xsl:when test="string-length(normalize-space($pContenu))&gt;0">
						<xsl:copy-of select="$pContenu"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="getContent(gotoMeta(), '')" disable-output-escaping="yes"/>
						<xsl:value-of select="getContent(gotoSubModel(), '')" disable-output-escaping="yes"/>
					</xsl:otherwise>
				</xsl:choose>
			</CHpanelRC>
		</panelRC>
	</xsl:template>
	
	<xsl:template name="xGetCode">
		<xsl:value-of select="concat(codeAgent('//'), '_', generate-id())"/>
	</xsl:template>
	
		
</xsl:stylesheet>
