<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale"
    xmlns:dc="urn:unit-c.fr:schema:dublincore:v1"
    xmlns:db="urn:unit-c.fr:schema:docbook:v1"
    exclude-result-prefixes="sc sp op">
    <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
    <xsl:param name="vDialog"/>
    <xsl:param name="vAgent"/>


    <!-- Root de AcademicUeSubdivision -->
    <xsl:template match="op:AcademicUeSubdivision">
        <subdivision>
            <xsl:value-of select="getContent(gotoMeta(currentModel()))"
                disable-output-escaping="yes"/>
            <xsl:apply-templates/>
        </subdivision>
    </xsl:template>


    <!-- Intro/Conclu de AcademicUeSubdivision -->
    <xsl:template match="sp:introduction">
        <introduction>
            <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
        </introduction>
    </xsl:template>

    <xsl:template match="sp:conclusion">
        <conclusion>
            <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
        </conclusion>
    </xsl:template>


    <!-- UA -->
    <xsl:template match="sp:Ua">
        <xsl:choose>
            <!-- UA Externe -->
            <xsl:when test="@sc:refUri">
                <xsl:choose>
                    <xsl:when test="typeAgent(concat('@', gotoSubModel())) = 'op_CourseUa' ">
                        <CourseUa>
                            <xsl:value-of select="getUrl(gotoSubModel(), 'page')"/>
                        </CourseUa>
                        <!--<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>-->
                    </xsl:when>
                    <xsl:when test="typeAgent(concat('@', gotoSubModel())) = 'op_AutoevaluationUa' ">
                        <AutoevaluationUa>
                            <xsl:value-of select="getUrl(gotoSubModel(), 'page')"/>
                        </AutoevaluationUa>
                        <!--<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>-->
                    </xsl:when>
                </xsl:choose>
            </xsl:when>
            <!-- UA Interne -->
            <xsl:otherwise>
                <xsl:choose>
                    <xsl:when test="op:CourseUa">
                        <CourseUa>
                            <xsl:value-of select="getUrl(gotoSubModel(), 'page')"/>
                        </CourseUa>
                    </xsl:when>
                    <xsl:when test="op:AutoevaluationUa">
                        <AutoevaluationUa>
                            <xsl:value-of select="getUrl(gotoSubModel(), 'page')"/>
                        </AutoevaluationUa>
                    </xsl:when>
                </xsl:choose>
                <!--<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>-->
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>


    <!-- UC -->
    <xsl:template match="sp:CourseUc">
        <xsl:choose>
            <!-- UC Externe -->
            <xsl:when test="@sc:refUri">
                <xsl:choose>
                    <xsl:when test="typeAgent(concat('@', gotoSubModel())) = 'op_ExpositionUc' ">
                        <ExpositionUc>
                            <xsl:value-of select="getUrl(gotoSubModel(), 'page')"/>
                        </ExpositionUc>
                    </xsl:when>
                    <xsl:when test="typeAgent(concat('@', gotoSubModel())) = 'op_PracticeUc' ">
                        <PracticeUc>
                            <xsl:value-of select="getUrl(gotoSubModel(), 'page')"/>
                        </PracticeUc>
                    </xsl:when>
                </xsl:choose>
            </xsl:when>
            <!-- UC Interne -->
            <xsl:otherwise>
                <xsl:choose>
                    <xsl:when test="op:ExpositionUc">
                        <ExpositionUc>
                            <xsl:value-of select="getUrl(gotoSubModel(), 'page')"/>
                        </ExpositionUc>
                    </xsl:when>
                    <xsl:when test="op:PracticeUc">
                        <PracticeUc>
                            <xsl:value-of select="getUrl(gotoSubModel(), 'page')"/>
                        </PracticeUc>
                    </xsl:when>
                </xsl:choose>
                <!--<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>-->
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>


    <xsl:template match="*"/>

</xsl:stylesheet>
