<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale"
    xmlns:dc="urn:unit-c.fr:schema:dublincore:v1"
    xmlns:db="urn:unit-c.fr:schema:docbook:v1"
    exclude-result-prefixes="sc sp op">
    <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
    <xsl:param name="vDialog"/>
    <xsl:param name="vAgent"/>
    
    
    <!-- Root de TextSimple -->
    <xsl:template match="op:textSimple">
        <db:text>
            <xsl:apply-templates/>
        </db:text>
    </xsl:template>
    
    <!-- Paragraphe -->
    <xsl:template match="sc:para">
        <db:simpara>
            <xsl:apply-templates/>
        </db:simpara>
    </xsl:template>
    
    <!-- Liste Simple -->
    <xsl:template match="sc:simpleList">
        <db:simplelist>
            <xsl:apply-templates/>
        </db:simplelist>
    </xsl:template>
    
    <xsl:template match="sc:member">
        <db:member>
            <xsl:apply-templates/>
        </db:member>
    </xsl:template>
    
    <!-- Inline -->
    <xsl:template match="sc:inlineStyle[@role='emphasis']">
        <db:emphasis>
            <xsl:apply-templates/>
        </db:emphasis>
    </xsl:template>
    
    <!-- sc:uLink à finir : acronym, glossaire, articleCode, biblio, ref -->
    <xsl:template match="sc:uLink">
        <xsl:choose>
            <xsl:when test="@url!=''">
                <db:ulink>
                    <xsl:apply-templates/> : <xsl:apply-templates select="@url"/>
                </db:ulink>
            </xsl:when>
        </xsl:choose>
    </xsl:template>
    
    
    <xsl:template match="*"/>
    
    
</xsl:stylesheet>
