<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:sl="http://www.utc.fr/ics/scenari/v3/library"
	xmlns:fo="http://www.w3.org/1999/XSL/Format"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument"
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	exclude-result-prefixes="table sp office style svg sl fo xlink java scOd text sc ">
	<xsl:output omit-xml-declaration="yes" indent="no" method="xml" />
	<xsl:param name="vAgent" />
	<xsl:param name="vDialog" />
	<xsl:variable select="getIdNode(.)" name="idRootAgt" />
	<xsl:template match="/*">
		<xsl:variable name="vInfosRes">
			<xsl:value-of disable-output-escaping="yes" select="resultatAgent('//', concat('get:dest:', resultatAgent('../viewResource/genResUri'), '?transform=od2props'))" />
		</xsl:variable>
		<xsl:variable name="vExistRes" select="si(string-length($vInfosRes)&gt;0, 'true', 'false')"/>
		<xsl:comment>
			### Math
			<xsl:value-of select="extractFileNameFromPath(resultatAgent('../UriResSource'))" />
			### mime : application/vnd.oasis.opendocument.formula
			infores : <xsl:copy-of select="$vInfosRes" />
		</xsl:comment>
		<xsl:choose>
			<xsl:when test="$vExistRes='true'">
				<xsl:variable select="parseXml($vInfosRes)/ODF/@width div 1000" name="vWidthIni" />
				<xsl:variable name="vHeightIni" select="parseXml($vInfosRes)/ODF/@height div 1000"/>
				<xsl:variable name="vResourceType">zip</xsl:variable>
				<xsl:variable name="vFinalSizeObj" select="java:com.scenari.s.co.transform.img.ImgUtil.getSize($vWidthIni, $vHeightIni, '', '', '', '', '')"/>
				<xsl:variable name="vWidth" select="java:getWidth($vFinalSizeObj)"/>
				<xsl:variable select="java:getHeight($vFinalSizeObj)" name="vHeight" />
				<text:p text:style-name="odNoDisplay">&#160;</text:p>
				<text:p text:style-name="odNoDisplay">
					<draw:frame
						xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
						svg:height="{normalize-space($vHeight)}cm"
						svg:width="{normalize-space($vWidth)}cm" svg:y="0cm" svg:x="0"
						draw:z-index="20" text:anchor-type="paragraph"
						draw:name="{local-name()}" draw:style-name="sfile_math">
						<draw:object xlink:actuate="onLoad" xlink:show="embed" xlink:type="simple" xlink:href="./{resultatAgent('../viewResource/odResPath')}" />
					</draw:frame>
				</text:p>
				<text:p text:style-name="odNoDisplay">&#160;</text:p>
				<scOd:resources removeSettings="false" type="{$vResourceType}"
					odPath="{resultatAgent('../viewResource/odResPath')}"
					path="dest:{resultatAgent('../viewResource/genResUri')}"/>
				<scOd:manifest 	path="{resultatAgent('../viewResource/odResPath')}"
								mime="application/vnd.oasis.opendocument.formula" />
			</xsl:when>
			<xsl:otherwise>
				<scOd:error text="Ressource manquante" phase="generation" type="error">
					La ressource '<xsl:value-of select="resultatAgent('../viewResource/UriResSource')" />' est introuvable.
				</scOd:error>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="*" />
</xsl:stylesheet>