<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale" exclude-result-prefixes="sc sp op">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	
	<xsl:template match="op:dublinCore">
	  <xsl:variable name="vAuthor">
	    <xsl:for-each select="sp:metadata/sp:creatorList/sp:creator">
	      <xsl:value-of select="." />
        <xsl:if test="position() != last()">, </xsl:if>
	    </xsl:for-each>
	  </xsl:variable>
	  
	  <xsl:variable name="vCopyright">
	    <xsl:for-each select="sp:metadata/sp:publisherList/sp:publisher">
	      <xsl:value-of select="." />
        <xsl:if test="position() != last()">, </xsl:if>
	    </xsl:for-each>
	    <xsl:if test="sp:metadata/sp:publisherList/sp:publisher"><xsl:text> </xsl:text></xsl:if>
	    <xsl:if test="sp:date"><xsl:value-of select="sp:date" /></xsl:if>
	  </xsl:variable>
	  
	  <meta>
	    <title value="{sp:title}" />
      <subtitle value="" />
      <author value="{$vAuthor}" />
      <copyright value="{$vCopyright}" />
		</meta>
	</xsl:template>

</xsl:stylesheet>
