<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale" exclude-result-prefixes="sc sp op">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />
	
	<xsl:template match="op:slideShow">
    <xsl:choose>
      <xsl:when test="sp:introduction">
        <xsl:apply-templates select="sp:introduction" />
      </xsl:when>
      <xsl:otherwise>
        <page title="Introduction" src="{getUrl(currentModel(),'')}" />
      </xsl:otherwise>
    </xsl:choose>
	  
    <xsl:apply-templates select="*[not(self::sp:introduction)]" />
	</xsl:template>

  <xsl:template match="sp:introduction">
    <page title="{getFullTitleText(currentModel(),'intro')}" src="{getUrl(currentModel(),'intro')}" />
  </xsl:template>
  
  <xsl:template match="sp:rootItem | sp:item | sp:section">
    <xsl:value-of select="getContent(gotoSubModel(),'index')" disable-output-escaping="yes" />
  </xsl:template>

  <xsl:template match="sp:conclusion">
    <page title="{getFullTitleText(currentModel(),'conclu')}" src="{getUrl(currentModel(),'conclu')}" />
  </xsl:template>
  
  <xsl:template match="*" />
  
</xsl:stylesheet>
