<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:op="utc.fr:ics/opale" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="sc sp op">
  <xsl:output omit-xml-declaration="yes" indent="no" encoding="UTF-8" method="xml"/>
  <xsl:param name="vDialog"/>
  <xsl:param name="vAgent"/>

  <xsl:template match="op:imageMapMeta">
    <xsl:variable name="vNumImage" select="count(parent::sp:interactiveGraphic/preceding-sibling::sp:interactiveGraphic)"/>
    <img src="{getUrl(gotoSubModel(parent::sp:interactiveGraphic),'url')}" usemap="#Map{$vNumImage}" alt="" border="0" class="SchemaCliquable" />
       
    <xsl:apply-templates select="sp:map">
      <xsl:with-param name="pNumImage" select="$vNumImage" />
    </xsl:apply-templates>
  </xsl:template>
  
  <xsl:template match="sp:map">
    <xsl:param name="pNumImage" />
    <map name="Map{$pNumImage}">
      <xsl:apply-templates select="sp:area"/>
    </map>
  </xsl:template>
  
  <xsl:template match="sp:area">
    
    <xsl:variable name="vCoords">
      <xsl:call-template name="translateCoords">
        <xsl:with-param name="pCoords" select="sp:coords" />
      </xsl:call-template>
    </xsl:variable>
    
    <area shape="{sp:shape}" coords="{$vCoords}" href="#">
      <scTooltip class="op_text_tt_schemaCliquable" trigger="onclick" options="STICKY:true,DELAY:0,MAXWIDTH:260,MAXHEIGHT:400"> <!-- STATIC:true,FIX:[0,0], -->
          <scTooltipTitle>
            <span><xsl:value-of select="getFullTitleText(gotoSubModel(sp:ref), '')" disable-output-escaping="yes" /></span>
          </scTooltipTitle>
          <scTooltipContent>
            <span><xsl:value-of select="getContent(gotoSubModel(sp:ref), '')" disable-output-escaping="yes" /></span>
          </scTooltipContent>
        </scTooltip>
    </area>
  </xsl:template>
  
  <xsl:template name="translateCoords">
    <xsl:param name="pCoords" />
    <xsl:param name="pScale">1</xsl:param> <!-- 0.24 -->
    <xsl:variable name="vCurCoord" select="substring-before($pCoords, ',')" />
    <xsl:variable name="vCoords" select="substring-after($pCoords, ',')" />
    
    <xsl:value-of select="round(si(boolean(string-length($vCurCoord)),$vCurCoord,$pCoords) * $pScale)" />
    <xsl:if test="string-length($vCoords)">
      <xsl:text>,</xsl:text>
      <xsl:call-template name="translateCoords">
        <xsl:with-param name="pCoords" select="$vCoords" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>
