<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" xmlns:redirect="com.scenari.xsldom.xalan.lib.Redirect" xmlns:java="http://xml.apache.org/xslt/java" extension-element-prefixes="redirect java lxslt ">
<xsl:output method="html" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>

<xsl:template match="zoneContent"><xsl:apply-templates select="node()"/></xsl:template>
<xsl:template match="scBlock"><xsl:element name="div"><xsl:apply-templates select="@*|node()"/></xsl:element></xsl:template>
<xsl:template match="scBlockTitle"/>
<xsl:template match="ifText"><xsl:if test="count(.//text()[string-length(normalize-space())&gt;0])"><xsl:apply-templates/></xsl:if></xsl:template>
<xsl:template match="hx">
<xsl:variable name="vCount" select="count(ancestor::scBlock)"/>
<xsl:element name="{concat('h', si($vCount &gt; 6, '6', $vCount))}"><xsl:apply-templates select="@*|node()"/></xsl:element>
</xsl:template>
<xsl:template match="scTooltip">
<xsl:variable name="vTTTitle"><redirect:serialize><xsl:apply-templates select="scTooltipTitle/*"/></redirect:serialize></xsl:variable>
<xsl:variable name="vTTContent"><redirect:serialize><xsl:apply-templates select="scTooltipContent/*"/></redirect:serialize></xsl:variable>
<xsl:attribute name="{@trigger}">scTooltipMgr.showTooltip(this,event,&quot;<xsl:value-of select="chaineProtegeJs(normalize-space($vTTContent))"/>&quot;,&quot;<xsl:value-of select="chaineProtegeJs(normalize-space($vTTTitle))"/>&quot;,&quot;<xsl:value-of select="@class"/>&quot;,{<xsl:value-of select="@options"/>});</xsl:attribute>
</xsl:template>
<xsl:template match="addAttribute">
<xsl:attribute name="{@name}">
<xsl:choose>
<xsl:when test="@filter='textOnly'"><xsl:value-of select="normalize-space(.)"/></xsl:when>
<xsl:otherwise><redirect:serialize><xsl:value-of select="."/></redirect:serialize></xsl:otherwise>
</xsl:choose>
</xsl:attribute>
</xsl:template>
<xsl:template match="crossRef">
<xsl:variable name="vId" select="si(../@id, ../@id, java:generateId($vDialog, string(@prefId)))"/>
<xsl:if test="not(../@id)"><xsl:attribute name="id"><xsl:value-of select="$vId"/></xsl:attribute></xsl:if>
<xsl:for-each select="entry">
<xsl:value-of select="java:com.scenari.m.ge.generator.web.CrossRefEntry.addEntry($vDialog, $vId, @keyRef, @value)"/>
</xsl:for-each>
</xsl:template>
	<xsl:template match="@*|node()"><xsl:copy><xsl:apply-templates select="@*|node()"/></xsl:copy></xsl:template>
</xsl:stylesheet>
