<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:op="utc.fr:ics/opale" xmlns:java="http://xml.apache.org/xslt/java" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="op java sp " >

<xsl:param name="vSpace"/>
<xsl:param name="vCode"/>

<xsl:template match="/sc:item">
<xsl:apply-templates select="op:PracticeUc"/>
</xsl:template>

<xsl:template match="sc:item/op:PracticeUc">
	<title><xsl:value-of xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:dublinCore/sp:title"/></title>
<attrStr nm="sc3modele">op_PracticeUc</attrStr>
<xsl:apply-templates/>
</xsl:template>





				
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:text//sc:uLink[@role='acronyme']">
<attrRef nm="op_acronyme " refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:text//sc:uLink[@role='glossaire']">
<attrRef nm="op_glossary " refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:text//sc:uLink[@role='articleCode']">
<attrRef nm="op_articleCode " refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:text//sc:uLink[@role='biblio']">
<attrRef nm="op_bibliographie " refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:text//sc:uLink[@role='reference']">
<attrRef nm="op_reference " refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:text//sc:uLink[@role='docLink']">
<attrRef nm="sfile_xls sfile_ppt sfile_doc_dot sfile_odp sfile_ods sfile_odt sfile_pdf " refUri="{@sc:refUri}"/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:text//sc:inlineImg[@role='formulaInline']">
<attrRef nm="sfile_odf mml " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:text//sc:inlineImg[@role='guiicon']">
<attrRef nm="sfile_png sfile_jpg_jpeg " refUri="{@sc:refUri}"/>
</xsl:template>




<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resources/sp:formula[@sc:refUri]">
<attrRef nm="sfile_odf mml " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resources/sp:table[@sc:refUri]">
<attrRef nm="sfile_ods " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resources/sp:vectorGraphic[@sc:refUri]">
<attrRef nm="sfile_odg " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resources/sp:interactiveGraphic[@sc:refUri]">
<attrRef nm="sfile_jpg_jpeg sfile_png " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resources/sp:bitmapImage[@sc:refUri]">
<attrRef nm="sfile_png sfile_jpg_jpeg " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resources/sp:audio[@sc:refUri]">
<attrRef nm="sfile_mp3 " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resources/sp:video[@sc:refUri]">
<attrRef nm="sfile_avi sfile_flv sfile_mov sfile_mpg_mpeg sfile_rm sfile_wmv " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resources/sp:audiovisual[@sc:refUri]">
<attrRef nm="sfile_avi sfile_flv sfile_mov sfile_mpg_mpeg sfile_rm sfile_wmv " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resources/sp:interaction[@sc:refUri]">
<attrRef nm="sfile_odp sfile_ods sfile_odt sfile_pdf sfile_swf sfile_xls sfile_ppt sfile_doc_dot sfile_zip " refUri="{@sc:refUri}"/>
</xsl:template>

<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:alternativeResource/sp:formula[@sc:refUri]">
<attrRef nm="sfile_odf " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:alternativeResource/sp:table[@sc:refUri]">
<attrRef nm="sfile_ods " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:alternativeResource/sp:vectorGraphic[@sc:refUri]">
<attrRef nm="sfile_odg " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:alternativeResource/sp:bitmapImage[@sc:refUri]">
<attrRef nm="sfile_png sfile_jpg_jpeg " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:alternativeResource/sp:documentOD[@sc:refUri]">
<attrRef nm="sfile_odp sfile_ods sfile_odt " refUri="{@sc:refUri}"/>
</xsl:template>

<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:xmllabSimulation/sp:xmllab[@sc:refUri]">
<attrRef nm="xmllab " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resourceWithoutRef/sp:formula[@sc:refUri]">
<attrRef nm="sfile_odf mml " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resourceWithoutRef/sp:table[@sc:refUri]">
<attrRef nm="sfile_ods " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resourceWithoutRef/sp:vectorGraphic[@sc:refUri]">
<attrRef nm="sfile_odg " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resourceWithoutRef/sp:interactiveGraphic[@sc:refUri]">
<attrRef nm="sfile_jpg_jpeg sfile_png " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resourceWithoutRef/sp:bitmapImage[@sc:refUri]">
<attrRef nm="sfile_png sfile_jpg_jpeg " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resourceWithoutRef/sp:audio[@sc:refUri]">
<attrRef nm="sfile_mp3 " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resourceWithoutRef/sp:video[@sc:refUri]">
<attrRef nm="sfile_avi sfile_flv sfile_mov sfile_mpg_mpeg sfile_rm sfile_wmv " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resourceWithoutRef/sp:audiovisual[@sc:refUri]">
<attrRef nm="sfile_avi sfile_flv sfile_mov sfile_mpg_mpeg sfile_rm sfile_wmv " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resourceWithoutRef/sp:interaction[@sc:refUri]">
<attrRef nm="sfile_odp sfile_ods sfile_odt sfile_pdf sfile_swf sfile_xls sfile_ppt sfile_doc_dot sfile_zip " refUri="{@sc:refUri}"/>
</xsl:template>

				
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:textWithoutRef//sc:uLink[@role='docLink']">
<attrRef nm="sfile_xls sfile_ppt sfile_doc_dot sfile_odp sfile_ods sfile_odt sfile_pdf " refUri="{@sc:refUri}"/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:textWithoutRef//sc:inlineImg[@role='formulaInline']">
<attrRef nm="sfile_odf mml " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:textWithoutRef//sc:inlineImg[@role='guiicon']">
<attrRef nm="sfile_png sfile_jpg_jpeg " refUri="{@sc:refUri}"/>
</xsl:template>



<xsl:template match="text()|@*"/>
</xsl:stylesheet>