<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="sc" version="1.0"><xsl:output omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param name="vAgent"/><xsl:param name="vDialog"/><xsl:param name="vArguments"/><xsl:variable name="vLen" select="max(parseXml(listXmlExpr(.//sc:textLeaf[@role='gap'], string-length(text())))/liste/item/text(), 6)"/><xsl:template match="*"><xsl:apply-templates mode="in"/></xsl:template><xsl:template mode="in" match="*"/><xsl:template mode="in" match="text()"><xsl:copy-of select="."/></xsl:template><xsl:template mode="in" match="sc:textLeaf[@role='gap']"><xsl:variable select="generate-id(.)" name="vIndex"/><span class="op_clozeText_tl_gap"><span><input onblur="{$vArguments}.setResp(this);" size="{$vLen}" type="text" name="{$vIndex}" class="tatInput"/></span><span id="{$vArguments}_X_{$vIndex}" class="tatSol"><span><xsl:value-of select="."/></span></span></span></xsl:template><xsl:template mode="in" match="sc:para"><p class="op_clozeText_p"><xsl:apply-templates mode="in"/></p></xsl:template><xsl:template mode="in" match="sc:simpleList"><ul class="op_clozeText_sl"><xsl:apply-templates mode="in"/></ul></xsl:template><xsl:template mode="in" match="sc:member"><li class="op_clozeText_m"><xsl:apply-templates mode="in"/></li></xsl:template><xsl:template mode="in" match="sc:itemizedList"><ul class="op_clozeText_il"><xsl:apply-templates mode="in"/></ul></xsl:template><xsl:template mode="in" match="sc:itemizedList/sc:listItem"><li class="op_clozeText_ili"><xsl:apply-templates mode="in"/></li></xsl:template><xsl:template mode="in" match="sc:orderedList"><ol class="op_clozeText_ol"><xsl:apply-templates mode="in"/></ol></xsl:template><xsl:template mode="in" match="sc:orderedList/sc:listItem"><li class="op_clozeText_oli"><xsl:apply-templates mode="in"/></li></xsl:template><xsl:template mode="in" match="sc:note"><span class="op_clozeText_note_ptr"><scTooltip trigger="onclick" class="op_clozeText_note" options="STATIC:true,STICKY:true,TEMP:20000"><scTooltipContent><span><xsl:apply-templates/></span></scTooltipContent></scTooltip><span>*</span></span></xsl:template><xsl:template mode="in" match="sc:uLink"><a class="op_clozeText_ul">
			<xsl:attribute name="href"><xsl:value-of xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="@url"/></xsl:attribute><xsl:attribute name="target">_blank</xsl:attribute>
		<xsl:apply-templates mode="in"/></a></xsl:template><xsl:template mode="in" match="sc:uLink[@role=&quot;glossaire&quot;]"><span class="op_clozeText_ul_glossaire"><crossRef><xsl:variable select="getIdFromPath(@sc:refUri)" name="vValue"/><entry value="{$vValue}" keyRef="glossaire"/></crossRef><scTooltip trigger="onmouseover" class="op_clozeText_tt_glossaire" options="STICKY:true,STATIC:true"><scTooltipTitle><span>[![escapeXml;agent=@<xsl:value-of select="si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.))"/>/fullTitleText]!]</span></scTooltipTitle><scTooltipContent><span>[![agent=@<xsl:value-of select="getIdFromPath(@sc:refUri)"/>/xhtmlContent]!]</span></scTooltipContent></scTooltip><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:uLink[@role=&quot;docLink&quot;]"><a class="op_clozeText_ul_docLink"><xsl:attribute name="href">[![dialog=<xsl:value-of xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="concat('@', getIdFromPath(@sc:refUri), '_AlienDoc')"/>;arguments=act:]!]</xsl:attribute><xsl:attribute name="target">_self</xsl:attribute><crossRef><xsl:variable select="getIdFromPath(@sc:refUri)" name="vValue"/><entry value="{$vValue}" keyRef="resources"/></crossRef><span><xsl:apply-templates mode="in"/></span></a></xsl:template><xsl:template mode="in" match="sc:phrase[@role='quote']"><span class="op_clozeText_ph_quote"><span class="op_clozeText_php_quote">"</span><xsl:apply-templates mode="in"/><span class="op_clozeText_phs_quote">"</span></span></xsl:template><xsl:template mode="in" match="sc:inlineStyle[@role='emphasis']"><span class="op_clozeText_is_emphasis"><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:textLeaf[@role='command']"><span class="op_clozeText_tl_command"><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:textLeaf[@role='email']"><span class="op_clozeText_tl_email"><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:textLeaf[@role='acronym']"><span class="op_clozeText_tl_acronym"><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:textLeaf[@role='trademark']"><span class="op_clozeText_tl_trademark"><xsl:apply-templates mode="in"/><span class="op_clozeText_tls_trademark">™</span></span></xsl:template><xsl:template mode="in" match="sc:textLeaf[@role='registered']"><span class="op_clozeText_tl_registered"><xsl:apply-templates mode="in"/><span class="op_clozeText_tls_registered">®</span></span></xsl:template><xsl:template mode="in" match="sc:textLeaf[@role='copyright']"><span class="op_clozeText_tl_copyright"><span class="op_clozeText_tlp_copyright"/><xsl:apply-templates mode="in"/><span class="op_clozeText_tls_copyright">©</span></span></xsl:template><xsl:template mode="in" match="sc:textLeaf[@role='exposant']"><span class="op_clozeText_tl_exposant"><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:textLeaf[@role='indice']"><span class="op_clozeText_tl_indice"><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:inlineImg[@role='guiicon']"><span class="op_clozeText_tim_guiicon">
			[![agent=@<xsl:value-of select="si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.))"/>_Ainline/xhtmlContent]!]
</span></xsl:template><xsl:template mode="in" match="sc:inlineImg[@role='formulaInline']"><span class="op_clozeText_tim_formulaInline">
			[![agent=@<xsl:value-of select="si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.))"/>_Ainline/xhtmlContent]!]
</span></xsl:template></xsl:stylesheet>